package cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.electronicInvoice;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class SzhtxxElectronicInvoiceFptxxExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public SzhtxxElectronicInvoiceFptxxExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    szhtxx_electronic_invoice_fptxx
     *
     * @mbg.generated Wed Mar 23 12:02:59 CST 2022
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andFpqqlshIsNull() {
            addCriterion("fpqqlsh is null");
            return (Criteria) this;
        }

        public Criteria andFpqqlshIsNotNull() {
            addCriterion("fpqqlsh is not null");
            return (Criteria) this;
        }

        public Criteria andFpqqlshEqualTo(String value) {
            addCriterion("fpqqlsh =", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshNotEqualTo(String value) {
            addCriterion("fpqqlsh <>", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshGreaterThan(String value) {
            addCriterion("fpqqlsh >", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshGreaterThanOrEqualTo(String value) {
            addCriterion("fpqqlsh >=", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshLessThan(String value) {
            addCriterion("fpqqlsh <", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshLessThanOrEqualTo(String value) {
            addCriterion("fpqqlsh <=", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshLike(String value) {
            addCriterion("fpqqlsh like", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshNotLike(String value) {
            addCriterion("fpqqlsh not like", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshIn(List<String> values) {
            addCriterion("fpqqlsh in", values, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshNotIn(List<String> values) {
            addCriterion("fpqqlsh not in", values, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshBetween(String value1, String value2) {
            addCriterion("fpqqlsh between", value1, value2, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshNotBetween(String value1, String value2) {
            addCriterion("fpqqlsh not between", value1, value2, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andKpxmIsNull() {
            addCriterion("kpxm is null");
            return (Criteria) this;
        }

        public Criteria andKpxmIsNotNull() {
            addCriterion("kpxm is not null");
            return (Criteria) this;
        }

        public Criteria andKpxmEqualTo(String value) {
            addCriterion("kpxm =", value, "kpxm");
            return (Criteria) this;
        }

        public Criteria andKpxmNotEqualTo(String value) {
            addCriterion("kpxm <>", value, "kpxm");
            return (Criteria) this;
        }

        public Criteria andKpxmGreaterThan(String value) {
            addCriterion("kpxm >", value, "kpxm");
            return (Criteria) this;
        }

        public Criteria andKpxmGreaterThanOrEqualTo(String value) {
            addCriterion("kpxm >=", value, "kpxm");
            return (Criteria) this;
        }

        public Criteria andKpxmLessThan(String value) {
            addCriterion("kpxm <", value, "kpxm");
            return (Criteria) this;
        }

        public Criteria andKpxmLessThanOrEqualTo(String value) {
            addCriterion("kpxm <=", value, "kpxm");
            return (Criteria) this;
        }

        public Criteria andKpxmLike(String value) {
            addCriterion("kpxm like", value, "kpxm");
            return (Criteria) this;
        }

        public Criteria andKpxmNotLike(String value) {
            addCriterion("kpxm not like", value, "kpxm");
            return (Criteria) this;
        }

        public Criteria andKpxmIn(List<String> values) {
            addCriterion("kpxm in", values, "kpxm");
            return (Criteria) this;
        }

        public Criteria andKpxmNotIn(List<String> values) {
            addCriterion("kpxm not in", values, "kpxm");
            return (Criteria) this;
        }

        public Criteria andKpxmBetween(String value1, String value2) {
            addCriterion("kpxm between", value1, value2, "kpxm");
            return (Criteria) this;
        }

        public Criteria andKpxmNotBetween(String value1, String value2) {
            addCriterion("kpxm not between", value1, value2, "kpxm");
            return (Criteria) this;
        }

        public Criteria andXhfNsrsbhIsNull() {
            addCriterion("xhf_nsrsbh is null");
            return (Criteria) this;
        }

        public Criteria andXhfNsrsbhIsNotNull() {
            addCriterion("xhf_nsrsbh is not null");
            return (Criteria) this;
        }

        public Criteria andXhfNsrsbhEqualTo(String value) {
            addCriterion("xhf_nsrsbh =", value, "xhfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andXhfNsrsbhNotEqualTo(String value) {
            addCriterion("xhf_nsrsbh <>", value, "xhfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andXhfNsrsbhGreaterThan(String value) {
            addCriterion("xhf_nsrsbh >", value, "xhfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andXhfNsrsbhGreaterThanOrEqualTo(String value) {
            addCriterion("xhf_nsrsbh >=", value, "xhfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andXhfNsrsbhLessThan(String value) {
            addCriterion("xhf_nsrsbh <", value, "xhfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andXhfNsrsbhLessThanOrEqualTo(String value) {
            addCriterion("xhf_nsrsbh <=", value, "xhfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andXhfNsrsbhLike(String value) {
            addCriterion("xhf_nsrsbh like", value, "xhfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andXhfNsrsbhNotLike(String value) {
            addCriterion("xhf_nsrsbh not like", value, "xhfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andXhfNsrsbhIn(List<String> values) {
            addCriterion("xhf_nsrsbh in", values, "xhfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andXhfNsrsbhNotIn(List<String> values) {
            addCriterion("xhf_nsrsbh not in", values, "xhfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andXhfNsrsbhBetween(String value1, String value2) {
            addCriterion("xhf_nsrsbh between", value1, value2, "xhfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andXhfNsrsbhNotBetween(String value1, String value2) {
            addCriterion("xhf_nsrsbh not between", value1, value2, "xhfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andXhfmcIsNull() {
            addCriterion("xhfmc is null");
            return (Criteria) this;
        }

        public Criteria andXhfmcIsNotNull() {
            addCriterion("xhfmc is not null");
            return (Criteria) this;
        }

        public Criteria andXhfmcEqualTo(String value) {
            addCriterion("xhfmc =", value, "xhfmc");
            return (Criteria) this;
        }

        public Criteria andXhfmcNotEqualTo(String value) {
            addCriterion("xhfmc <>", value, "xhfmc");
            return (Criteria) this;
        }

        public Criteria andXhfmcGreaterThan(String value) {
            addCriterion("xhfmc >", value, "xhfmc");
            return (Criteria) this;
        }

        public Criteria andXhfmcGreaterThanOrEqualTo(String value) {
            addCriterion("xhfmc >=", value, "xhfmc");
            return (Criteria) this;
        }

        public Criteria andXhfmcLessThan(String value) {
            addCriterion("xhfmc <", value, "xhfmc");
            return (Criteria) this;
        }

        public Criteria andXhfmcLessThanOrEqualTo(String value) {
            addCriterion("xhfmc <=", value, "xhfmc");
            return (Criteria) this;
        }

        public Criteria andXhfmcLike(String value) {
            addCriterion("xhfmc like", value, "xhfmc");
            return (Criteria) this;
        }

        public Criteria andXhfmcNotLike(String value) {
            addCriterion("xhfmc not like", value, "xhfmc");
            return (Criteria) this;
        }

        public Criteria andXhfmcIn(List<String> values) {
            addCriterion("xhfmc in", values, "xhfmc");
            return (Criteria) this;
        }

        public Criteria andXhfmcNotIn(List<String> values) {
            addCriterion("xhfmc not in", values, "xhfmc");
            return (Criteria) this;
        }

        public Criteria andXhfmcBetween(String value1, String value2) {
            addCriterion("xhfmc between", value1, value2, "xhfmc");
            return (Criteria) this;
        }

        public Criteria andXhfmcNotBetween(String value1, String value2) {
            addCriterion("xhfmc not between", value1, value2, "xhfmc");
            return (Criteria) this;
        }

        public Criteria andXhfDzdhIsNull() {
            addCriterion("xhf_dzdh is null");
            return (Criteria) this;
        }

        public Criteria andXhfDzdhIsNotNull() {
            addCriterion("xhf_dzdh is not null");
            return (Criteria) this;
        }

        public Criteria andXhfDzdhEqualTo(String value) {
            addCriterion("xhf_dzdh =", value, "xhfDzdh");
            return (Criteria) this;
        }

        public Criteria andXhfDzdhNotEqualTo(String value) {
            addCriterion("xhf_dzdh <>", value, "xhfDzdh");
            return (Criteria) this;
        }

        public Criteria andXhfDzdhGreaterThan(String value) {
            addCriterion("xhf_dzdh >", value, "xhfDzdh");
            return (Criteria) this;
        }

        public Criteria andXhfDzdhGreaterThanOrEqualTo(String value) {
            addCriterion("xhf_dzdh >=", value, "xhfDzdh");
            return (Criteria) this;
        }

        public Criteria andXhfDzdhLessThan(String value) {
            addCriterion("xhf_dzdh <", value, "xhfDzdh");
            return (Criteria) this;
        }

        public Criteria andXhfDzdhLessThanOrEqualTo(String value) {
            addCriterion("xhf_dzdh <=", value, "xhfDzdh");
            return (Criteria) this;
        }

        public Criteria andXhfDzdhLike(String value) {
            addCriterion("xhf_dzdh like", value, "xhfDzdh");
            return (Criteria) this;
        }

        public Criteria andXhfDzdhNotLike(String value) {
            addCriterion("xhf_dzdh not like", value, "xhfDzdh");
            return (Criteria) this;
        }

        public Criteria andXhfDzdhIn(List<String> values) {
            addCriterion("xhf_dzdh in", values, "xhfDzdh");
            return (Criteria) this;
        }

        public Criteria andXhfDzdhNotIn(List<String> values) {
            addCriterion("xhf_dzdh not in", values, "xhfDzdh");
            return (Criteria) this;
        }

        public Criteria andXhfDzdhBetween(String value1, String value2) {
            addCriterion("xhf_dzdh between", value1, value2, "xhfDzdh");
            return (Criteria) this;
        }

        public Criteria andXhfDzdhNotBetween(String value1, String value2) {
            addCriterion("xhf_dzdh not between", value1, value2, "xhfDzdh");
            return (Criteria) this;
        }

        public Criteria andXhfYhzhIsNull() {
            addCriterion("xhf_yhzh is null");
            return (Criteria) this;
        }

        public Criteria andXhfYhzhIsNotNull() {
            addCriterion("xhf_yhzh is not null");
            return (Criteria) this;
        }

        public Criteria andXhfYhzhEqualTo(String value) {
            addCriterion("xhf_yhzh =", value, "xhfYhzh");
            return (Criteria) this;
        }

        public Criteria andXhfYhzhNotEqualTo(String value) {
            addCriterion("xhf_yhzh <>", value, "xhfYhzh");
            return (Criteria) this;
        }

        public Criteria andXhfYhzhGreaterThan(String value) {
            addCriterion("xhf_yhzh >", value, "xhfYhzh");
            return (Criteria) this;
        }

        public Criteria andXhfYhzhGreaterThanOrEqualTo(String value) {
            addCriterion("xhf_yhzh >=", value, "xhfYhzh");
            return (Criteria) this;
        }

        public Criteria andXhfYhzhLessThan(String value) {
            addCriterion("xhf_yhzh <", value, "xhfYhzh");
            return (Criteria) this;
        }

        public Criteria andXhfYhzhLessThanOrEqualTo(String value) {
            addCriterion("xhf_yhzh <=", value, "xhfYhzh");
            return (Criteria) this;
        }

        public Criteria andXhfYhzhLike(String value) {
            addCriterion("xhf_yhzh like", value, "xhfYhzh");
            return (Criteria) this;
        }

        public Criteria andXhfYhzhNotLike(String value) {
            addCriterion("xhf_yhzh not like", value, "xhfYhzh");
            return (Criteria) this;
        }

        public Criteria andXhfYhzhIn(List<String> values) {
            addCriterion("xhf_yhzh in", values, "xhfYhzh");
            return (Criteria) this;
        }

        public Criteria andXhfYhzhNotIn(List<String> values) {
            addCriterion("xhf_yhzh not in", values, "xhfYhzh");
            return (Criteria) this;
        }

        public Criteria andXhfYhzhBetween(String value1, String value2) {
            addCriterion("xhf_yhzh between", value1, value2, "xhfYhzh");
            return (Criteria) this;
        }

        public Criteria andXhfYhzhNotBetween(String value1, String value2) {
            addCriterion("xhf_yhzh not between", value1, value2, "xhfYhzh");
            return (Criteria) this;
        }

        public Criteria andGhfmcIsNull() {
            addCriterion("ghfmc is null");
            return (Criteria) this;
        }

        public Criteria andGhfmcIsNotNull() {
            addCriterion("ghfmc is not null");
            return (Criteria) this;
        }

        public Criteria andGhfmcEqualTo(String value) {
            addCriterion("ghfmc =", value, "ghfmc");
            return (Criteria) this;
        }

        public Criteria andGhfmcNotEqualTo(String value) {
            addCriterion("ghfmc <>", value, "ghfmc");
            return (Criteria) this;
        }

        public Criteria andGhfmcGreaterThan(String value) {
            addCriterion("ghfmc >", value, "ghfmc");
            return (Criteria) this;
        }

        public Criteria andGhfmcGreaterThanOrEqualTo(String value) {
            addCriterion("ghfmc >=", value, "ghfmc");
            return (Criteria) this;
        }

        public Criteria andGhfmcLessThan(String value) {
            addCriterion("ghfmc <", value, "ghfmc");
            return (Criteria) this;
        }

        public Criteria andGhfmcLessThanOrEqualTo(String value) {
            addCriterion("ghfmc <=", value, "ghfmc");
            return (Criteria) this;
        }

        public Criteria andGhfmcLike(String value) {
            addCriterion("ghfmc like", value, "ghfmc");
            return (Criteria) this;
        }

        public Criteria andGhfmcNotLike(String value) {
            addCriterion("ghfmc not like", value, "ghfmc");
            return (Criteria) this;
        }

        public Criteria andGhfmcIn(List<String> values) {
            addCriterion("ghfmc in", values, "ghfmc");
            return (Criteria) this;
        }

        public Criteria andGhfmcNotIn(List<String> values) {
            addCriterion("ghfmc not in", values, "ghfmc");
            return (Criteria) this;
        }

        public Criteria andGhfmcBetween(String value1, String value2) {
            addCriterion("ghfmc between", value1, value2, "ghfmc");
            return (Criteria) this;
        }

        public Criteria andGhfmcNotBetween(String value1, String value2) {
            addCriterion("ghfmc not between", value1, value2, "ghfmc");
            return (Criteria) this;
        }

        public Criteria andGhfNsrsbhIsNull() {
            addCriterion("ghf_nsrsbh is null");
            return (Criteria) this;
        }

        public Criteria andGhfNsrsbhIsNotNull() {
            addCriterion("ghf_nsrsbh is not null");
            return (Criteria) this;
        }

        public Criteria andGhfNsrsbhEqualTo(String value) {
            addCriterion("ghf_nsrsbh =", value, "ghfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andGhfNsrsbhNotEqualTo(String value) {
            addCriterion("ghf_nsrsbh <>", value, "ghfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andGhfNsrsbhGreaterThan(String value) {
            addCriterion("ghf_nsrsbh >", value, "ghfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andGhfNsrsbhGreaterThanOrEqualTo(String value) {
            addCriterion("ghf_nsrsbh >=", value, "ghfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andGhfNsrsbhLessThan(String value) {
            addCriterion("ghf_nsrsbh <", value, "ghfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andGhfNsrsbhLessThanOrEqualTo(String value) {
            addCriterion("ghf_nsrsbh <=", value, "ghfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andGhfNsrsbhLike(String value) {
            addCriterion("ghf_nsrsbh like", value, "ghfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andGhfNsrsbhNotLike(String value) {
            addCriterion("ghf_nsrsbh not like", value, "ghfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andGhfNsrsbhIn(List<String> values) {
            addCriterion("ghf_nsrsbh in", values, "ghfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andGhfNsrsbhNotIn(List<String> values) {
            addCriterion("ghf_nsrsbh not in", values, "ghfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andGhfNsrsbhBetween(String value1, String value2) {
            addCriterion("ghf_nsrsbh between", value1, value2, "ghfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andGhfNsrsbhNotBetween(String value1, String value2) {
            addCriterion("ghf_nsrsbh not between", value1, value2, "ghfNsrsbh");
            return (Criteria) this;
        }

        public Criteria andGhfYhzhIsNull() {
            addCriterion("ghf_yhzh is null");
            return (Criteria) this;
        }

        public Criteria andGhfYhzhIsNotNull() {
            addCriterion("ghf_yhzh is not null");
            return (Criteria) this;
        }

        public Criteria andGhfYhzhEqualTo(String value) {
            addCriterion("ghf_yhzh =", value, "ghfYhzh");
            return (Criteria) this;
        }

        public Criteria andGhfYhzhNotEqualTo(String value) {
            addCriterion("ghf_yhzh <>", value, "ghfYhzh");
            return (Criteria) this;
        }

        public Criteria andGhfYhzhGreaterThan(String value) {
            addCriterion("ghf_yhzh >", value, "ghfYhzh");
            return (Criteria) this;
        }

        public Criteria andGhfYhzhGreaterThanOrEqualTo(String value) {
            addCriterion("ghf_yhzh >=", value, "ghfYhzh");
            return (Criteria) this;
        }

        public Criteria andGhfYhzhLessThan(String value) {
            addCriterion("ghf_yhzh <", value, "ghfYhzh");
            return (Criteria) this;
        }

        public Criteria andGhfYhzhLessThanOrEqualTo(String value) {
            addCriterion("ghf_yhzh <=", value, "ghfYhzh");
            return (Criteria) this;
        }

        public Criteria andGhfYhzhLike(String value) {
            addCriterion("ghf_yhzh like", value, "ghfYhzh");
            return (Criteria) this;
        }

        public Criteria andGhfYhzhNotLike(String value) {
            addCriterion("ghf_yhzh not like", value, "ghfYhzh");
            return (Criteria) this;
        }

        public Criteria andGhfYhzhIn(List<String> values) {
            addCriterion("ghf_yhzh in", values, "ghfYhzh");
            return (Criteria) this;
        }

        public Criteria andGhfYhzhNotIn(List<String> values) {
            addCriterion("ghf_yhzh not in", values, "ghfYhzh");
            return (Criteria) this;
        }

        public Criteria andGhfYhzhBetween(String value1, String value2) {
            addCriterion("ghf_yhzh between", value1, value2, "ghfYhzh");
            return (Criteria) this;
        }

        public Criteria andGhfYhzhNotBetween(String value1, String value2) {
            addCriterion("ghf_yhzh not between", value1, value2, "ghfYhzh");
            return (Criteria) this;
        }

        public Criteria andGhfDzdhIsNull() {
            addCriterion("ghf_dzdh is null");
            return (Criteria) this;
        }

        public Criteria andGhfDzdhIsNotNull() {
            addCriterion("ghf_dzdh is not null");
            return (Criteria) this;
        }

        public Criteria andGhfDzdhEqualTo(String value) {
            addCriterion("ghf_dzdh =", value, "ghfDzdh");
            return (Criteria) this;
        }

        public Criteria andGhfDzdhNotEqualTo(String value) {
            addCriterion("ghf_dzdh <>", value, "ghfDzdh");
            return (Criteria) this;
        }

        public Criteria andGhfDzdhGreaterThan(String value) {
            addCriterion("ghf_dzdh >", value, "ghfDzdh");
            return (Criteria) this;
        }

        public Criteria andGhfDzdhGreaterThanOrEqualTo(String value) {
            addCriterion("ghf_dzdh >=", value, "ghfDzdh");
            return (Criteria) this;
        }

        public Criteria andGhfDzdhLessThan(String value) {
            addCriterion("ghf_dzdh <", value, "ghfDzdh");
            return (Criteria) this;
        }

        public Criteria andGhfDzdhLessThanOrEqualTo(String value) {
            addCriterion("ghf_dzdh <=", value, "ghfDzdh");
            return (Criteria) this;
        }

        public Criteria andGhfDzdhLike(String value) {
            addCriterion("ghf_dzdh like", value, "ghfDzdh");
            return (Criteria) this;
        }

        public Criteria andGhfDzdhNotLike(String value) {
            addCriterion("ghf_dzdh not like", value, "ghfDzdh");
            return (Criteria) this;
        }

        public Criteria andGhfDzdhIn(List<String> values) {
            addCriterion("ghf_dzdh in", values, "ghfDzdh");
            return (Criteria) this;
        }

        public Criteria andGhfDzdhNotIn(List<String> values) {
            addCriterion("ghf_dzdh not in", values, "ghfDzdh");
            return (Criteria) this;
        }

        public Criteria andGhfDzdhBetween(String value1, String value2) {
            addCriterion("ghf_dzdh between", value1, value2, "ghfDzdh");
            return (Criteria) this;
        }

        public Criteria andGhfDzdhNotBetween(String value1, String value2) {
            addCriterion("ghf_dzdh not between", value1, value2, "ghfDzdh");
            return (Criteria) this;
        }

        public Criteria andGhfSjIsNull() {
            addCriterion("ghf_sj is null");
            return (Criteria) this;
        }

        public Criteria andGhfSjIsNotNull() {
            addCriterion("ghf_sj is not null");
            return (Criteria) this;
        }

        public Criteria andGhfSjEqualTo(String value) {
            addCriterion("ghf_sj =", value, "ghfSj");
            return (Criteria) this;
        }

        public Criteria andGhfSjNotEqualTo(String value) {
            addCriterion("ghf_sj <>", value, "ghfSj");
            return (Criteria) this;
        }

        public Criteria andGhfSjGreaterThan(String value) {
            addCriterion("ghf_sj >", value, "ghfSj");
            return (Criteria) this;
        }

        public Criteria andGhfSjGreaterThanOrEqualTo(String value) {
            addCriterion("ghf_sj >=", value, "ghfSj");
            return (Criteria) this;
        }

        public Criteria andGhfSjLessThan(String value) {
            addCriterion("ghf_sj <", value, "ghfSj");
            return (Criteria) this;
        }

        public Criteria andGhfSjLessThanOrEqualTo(String value) {
            addCriterion("ghf_sj <=", value, "ghfSj");
            return (Criteria) this;
        }

        public Criteria andGhfSjLike(String value) {
            addCriterion("ghf_sj like", value, "ghfSj");
            return (Criteria) this;
        }

        public Criteria andGhfSjNotLike(String value) {
            addCriterion("ghf_sj not like", value, "ghfSj");
            return (Criteria) this;
        }

        public Criteria andGhfSjIn(List<String> values) {
            addCriterion("ghf_sj in", values, "ghfSj");
            return (Criteria) this;
        }

        public Criteria andGhfSjNotIn(List<String> values) {
            addCriterion("ghf_sj not in", values, "ghfSj");
            return (Criteria) this;
        }

        public Criteria andGhfSjBetween(String value1, String value2) {
            addCriterion("ghf_sj between", value1, value2, "ghfSj");
            return (Criteria) this;
        }

        public Criteria andGhfSjNotBetween(String value1, String value2) {
            addCriterion("ghf_sj not between", value1, value2, "ghfSj");
            return (Criteria) this;
        }

        public Criteria andGhfEmailIsNull() {
            addCriterion("ghf_email is null");
            return (Criteria) this;
        }

        public Criteria andGhfEmailIsNotNull() {
            addCriterion("ghf_email is not null");
            return (Criteria) this;
        }

        public Criteria andGhfEmailEqualTo(String value) {
            addCriterion("ghf_email =", value, "ghfEmail");
            return (Criteria) this;
        }

        public Criteria andGhfEmailNotEqualTo(String value) {
            addCriterion("ghf_email <>", value, "ghfEmail");
            return (Criteria) this;
        }

        public Criteria andGhfEmailGreaterThan(String value) {
            addCriterion("ghf_email >", value, "ghfEmail");
            return (Criteria) this;
        }

        public Criteria andGhfEmailGreaterThanOrEqualTo(String value) {
            addCriterion("ghf_email >=", value, "ghfEmail");
            return (Criteria) this;
        }

        public Criteria andGhfEmailLessThan(String value) {
            addCriterion("ghf_email <", value, "ghfEmail");
            return (Criteria) this;
        }

        public Criteria andGhfEmailLessThanOrEqualTo(String value) {
            addCriterion("ghf_email <=", value, "ghfEmail");
            return (Criteria) this;
        }

        public Criteria andGhfEmailLike(String value) {
            addCriterion("ghf_email like", value, "ghfEmail");
            return (Criteria) this;
        }

        public Criteria andGhfEmailNotLike(String value) {
            addCriterion("ghf_email not like", value, "ghfEmail");
            return (Criteria) this;
        }

        public Criteria andGhfEmailIn(List<String> values) {
            addCriterion("ghf_email in", values, "ghfEmail");
            return (Criteria) this;
        }

        public Criteria andGhfEmailNotIn(List<String> values) {
            addCriterion("ghf_email not in", values, "ghfEmail");
            return (Criteria) this;
        }

        public Criteria andGhfEmailBetween(String value1, String value2) {
            addCriterion("ghf_email between", value1, value2, "ghfEmail");
            return (Criteria) this;
        }

        public Criteria andGhfEmailNotBetween(String value1, String value2) {
            addCriterion("ghf_email not between", value1, value2, "ghfEmail");
            return (Criteria) this;
        }

        public Criteria andBillSentSignIsNull() {
            addCriterion("bill_sent_sign is null");
            return (Criteria) this;
        }

        public Criteria andBillSentSignIsNotNull() {
            addCriterion("bill_sent_sign is not null");
            return (Criteria) this;
        }

        public Criteria andBillSentSignEqualTo(String value) {
            addCriterion("bill_sent_sign =", value, "billSentSign");
            return (Criteria) this;
        }

        public Criteria andBillSentSignNotEqualTo(String value) {
            addCriterion("bill_sent_sign <>", value, "billSentSign");
            return (Criteria) this;
        }

        public Criteria andBillSentSignGreaterThan(String value) {
            addCriterion("bill_sent_sign >", value, "billSentSign");
            return (Criteria) this;
        }

        public Criteria andBillSentSignGreaterThanOrEqualTo(String value) {
            addCriterion("bill_sent_sign >=", value, "billSentSign");
            return (Criteria) this;
        }

        public Criteria andBillSentSignLessThan(String value) {
            addCriterion("bill_sent_sign <", value, "billSentSign");
            return (Criteria) this;
        }

        public Criteria andBillSentSignLessThanOrEqualTo(String value) {
            addCriterion("bill_sent_sign <=", value, "billSentSign");
            return (Criteria) this;
        }

        public Criteria andBillSentSignLike(String value) {
            addCriterion("bill_sent_sign like", value, "billSentSign");
            return (Criteria) this;
        }

        public Criteria andBillSentSignNotLike(String value) {
            addCriterion("bill_sent_sign not like", value, "billSentSign");
            return (Criteria) this;
        }

        public Criteria andBillSentSignIn(List<String> values) {
            addCriterion("bill_sent_sign in", values, "billSentSign");
            return (Criteria) this;
        }

        public Criteria andBillSentSignNotIn(List<String> values) {
            addCriterion("bill_sent_sign not in", values, "billSentSign");
            return (Criteria) this;
        }

        public Criteria andBillSentSignBetween(String value1, String value2) {
            addCriterion("bill_sent_sign between", value1, value2, "billSentSign");
            return (Criteria) this;
        }

        public Criteria andBillSentSignNotBetween(String value1, String value2) {
            addCriterion("bill_sent_sign not between", value1, value2, "billSentSign");
            return (Criteria) this;
        }

        public Criteria andCallBackUrlIsNull() {
            addCriterion("call_back_url is null");
            return (Criteria) this;
        }

        public Criteria andCallBackUrlIsNotNull() {
            addCriterion("call_back_url is not null");
            return (Criteria) this;
        }

        public Criteria andCallBackUrlEqualTo(String value) {
            addCriterion("call_back_url =", value, "callBackUrl");
            return (Criteria) this;
        }

        public Criteria andCallBackUrlNotEqualTo(String value) {
            addCriterion("call_back_url <>", value, "callBackUrl");
            return (Criteria) this;
        }

        public Criteria andCallBackUrlGreaterThan(String value) {
            addCriterion("call_back_url >", value, "callBackUrl");
            return (Criteria) this;
        }

        public Criteria andCallBackUrlGreaterThanOrEqualTo(String value) {
            addCriterion("call_back_url >=", value, "callBackUrl");
            return (Criteria) this;
        }

        public Criteria andCallBackUrlLessThan(String value) {
            addCriterion("call_back_url <", value, "callBackUrl");
            return (Criteria) this;
        }

        public Criteria andCallBackUrlLessThanOrEqualTo(String value) {
            addCriterion("call_back_url <=", value, "callBackUrl");
            return (Criteria) this;
        }

        public Criteria andCallBackUrlLike(String value) {
            addCriterion("call_back_url like", value, "callBackUrl");
            return (Criteria) this;
        }

        public Criteria andCallBackUrlNotLike(String value) {
            addCriterion("call_back_url not like", value, "callBackUrl");
            return (Criteria) this;
        }

        public Criteria andCallBackUrlIn(List<String> values) {
            addCriterion("call_back_url in", values, "callBackUrl");
            return (Criteria) this;
        }

        public Criteria andCallBackUrlNotIn(List<String> values) {
            addCriterion("call_back_url not in", values, "callBackUrl");
            return (Criteria) this;
        }

        public Criteria andCallBackUrlBetween(String value1, String value2) {
            addCriterion("call_back_url between", value1, value2, "callBackUrl");
            return (Criteria) this;
        }

        public Criteria andCallBackUrlNotBetween(String value1, String value2) {
            addCriterion("call_back_url not between", value1, value2, "callBackUrl");
            return (Criteria) this;
        }

        public Criteria andGhfqylxIsNull() {
            addCriterion("ghfqylx is null");
            return (Criteria) this;
        }

        public Criteria andGhfqylxIsNotNull() {
            addCriterion("ghfqylx is not null");
            return (Criteria) this;
        }

        public Criteria andGhfqylxEqualTo(String value) {
            addCriterion("ghfqylx =", value, "ghfqylx");
            return (Criteria) this;
        }

        public Criteria andGhfqylxNotEqualTo(String value) {
            addCriterion("ghfqylx <>", value, "ghfqylx");
            return (Criteria) this;
        }

        public Criteria andGhfqylxGreaterThan(String value) {
            addCriterion("ghfqylx >", value, "ghfqylx");
            return (Criteria) this;
        }

        public Criteria andGhfqylxGreaterThanOrEqualTo(String value) {
            addCriterion("ghfqylx >=", value, "ghfqylx");
            return (Criteria) this;
        }

        public Criteria andGhfqylxLessThan(String value) {
            addCriterion("ghfqylx <", value, "ghfqylx");
            return (Criteria) this;
        }

        public Criteria andGhfqylxLessThanOrEqualTo(String value) {
            addCriterion("ghfqylx <=", value, "ghfqylx");
            return (Criteria) this;
        }

        public Criteria andGhfqylxLike(String value) {
            addCriterion("ghfqylx like", value, "ghfqylx");
            return (Criteria) this;
        }

        public Criteria andGhfqylxNotLike(String value) {
            addCriterion("ghfqylx not like", value, "ghfqylx");
            return (Criteria) this;
        }

        public Criteria andGhfqylxIn(List<String> values) {
            addCriterion("ghfqylx in", values, "ghfqylx");
            return (Criteria) this;
        }

        public Criteria andGhfqylxNotIn(List<String> values) {
            addCriterion("ghfqylx not in", values, "ghfqylx");
            return (Criteria) this;
        }

        public Criteria andGhfqylxBetween(String value1, String value2) {
            addCriterion("ghfqylx between", value1, value2, "ghfqylx");
            return (Criteria) this;
        }

        public Criteria andGhfqylxNotBetween(String value1, String value2) {
            addCriterion("ghfqylx not between", value1, value2, "ghfqylx");
            return (Criteria) this;
        }

        public Criteria andDkbzIsNull() {
            addCriterion("dkbz is null");
            return (Criteria) this;
        }

        public Criteria andDkbzIsNotNull() {
            addCriterion("dkbz is not null");
            return (Criteria) this;
        }

        public Criteria andDkbzEqualTo(String value) {
            addCriterion("dkbz =", value, "dkbz");
            return (Criteria) this;
        }

        public Criteria andDkbzNotEqualTo(String value) {
            addCriterion("dkbz <>", value, "dkbz");
            return (Criteria) this;
        }

        public Criteria andDkbzGreaterThan(String value) {
            addCriterion("dkbz >", value, "dkbz");
            return (Criteria) this;
        }

        public Criteria andDkbzGreaterThanOrEqualTo(String value) {
            addCriterion("dkbz >=", value, "dkbz");
            return (Criteria) this;
        }

        public Criteria andDkbzLessThan(String value) {
            addCriterion("dkbz <", value, "dkbz");
            return (Criteria) this;
        }

        public Criteria andDkbzLessThanOrEqualTo(String value) {
            addCriterion("dkbz <=", value, "dkbz");
            return (Criteria) this;
        }

        public Criteria andDkbzLike(String value) {
            addCriterion("dkbz like", value, "dkbz");
            return (Criteria) this;
        }

        public Criteria andDkbzNotLike(String value) {
            addCriterion("dkbz not like", value, "dkbz");
            return (Criteria) this;
        }

        public Criteria andDkbzIn(List<String> values) {
            addCriterion("dkbz in", values, "dkbz");
            return (Criteria) this;
        }

        public Criteria andDkbzNotIn(List<String> values) {
            addCriterion("dkbz not in", values, "dkbz");
            return (Criteria) this;
        }

        public Criteria andDkbzBetween(String value1, String value2) {
            addCriterion("dkbz between", value1, value2, "dkbz");
            return (Criteria) this;
        }

        public Criteria andDkbzNotBetween(String value1, String value2) {
            addCriterion("dkbz not between", value1, value2, "dkbz");
            return (Criteria) this;
        }

        public Criteria andFjhIsNull() {
            addCriterion("fjh is null");
            return (Criteria) this;
        }

        public Criteria andFjhIsNotNull() {
            addCriterion("fjh is not null");
            return (Criteria) this;
        }

        public Criteria andFjhEqualTo(String value) {
            addCriterion("fjh =", value, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhNotEqualTo(String value) {
            addCriterion("fjh <>", value, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhGreaterThan(String value) {
            addCriterion("fjh >", value, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhGreaterThanOrEqualTo(String value) {
            addCriterion("fjh >=", value, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhLessThan(String value) {
            addCriterion("fjh <", value, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhLessThanOrEqualTo(String value) {
            addCriterion("fjh <=", value, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhLike(String value) {
            addCriterion("fjh like", value, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhNotLike(String value) {
            addCriterion("fjh not like", value, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhIn(List<String> values) {
            addCriterion("fjh in", values, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhNotIn(List<String> values) {
            addCriterion("fjh not in", values, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhBetween(String value1, String value2) {
            addCriterion("fjh between", value1, value2, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhNotBetween(String value1, String value2) {
            addCriterion("fjh not between", value1, value2, "fjh");
            return (Criteria) this;
        }

        public Criteria andKpyIsNull() {
            addCriterion("kpy is null");
            return (Criteria) this;
        }

        public Criteria andKpyIsNotNull() {
            addCriterion("kpy is not null");
            return (Criteria) this;
        }

        public Criteria andKpyEqualTo(String value) {
            addCriterion("kpy =", value, "kpy");
            return (Criteria) this;
        }

        public Criteria andKpyNotEqualTo(String value) {
            addCriterion("kpy <>", value, "kpy");
            return (Criteria) this;
        }

        public Criteria andKpyGreaterThan(String value) {
            addCriterion("kpy >", value, "kpy");
            return (Criteria) this;
        }

        public Criteria andKpyGreaterThanOrEqualTo(String value) {
            addCriterion("kpy >=", value, "kpy");
            return (Criteria) this;
        }

        public Criteria andKpyLessThan(String value) {
            addCriterion("kpy <", value, "kpy");
            return (Criteria) this;
        }

        public Criteria andKpyLessThanOrEqualTo(String value) {
            addCriterion("kpy <=", value, "kpy");
            return (Criteria) this;
        }

        public Criteria andKpyLike(String value) {
            addCriterion("kpy like", value, "kpy");
            return (Criteria) this;
        }

        public Criteria andKpyNotLike(String value) {
            addCriterion("kpy not like", value, "kpy");
            return (Criteria) this;
        }

        public Criteria andKpyIn(List<String> values) {
            addCriterion("kpy in", values, "kpy");
            return (Criteria) this;
        }

        public Criteria andKpyNotIn(List<String> values) {
            addCriterion("kpy not in", values, "kpy");
            return (Criteria) this;
        }

        public Criteria andKpyBetween(String value1, String value2) {
            addCriterion("kpy between", value1, value2, "kpy");
            return (Criteria) this;
        }

        public Criteria andKpyNotBetween(String value1, String value2) {
            addCriterion("kpy not between", value1, value2, "kpy");
            return (Criteria) this;
        }

        public Criteria andSkyIsNull() {
            addCriterion("sky is null");
            return (Criteria) this;
        }

        public Criteria andSkyIsNotNull() {
            addCriterion("sky is not null");
            return (Criteria) this;
        }

        public Criteria andSkyEqualTo(String value) {
            addCriterion("sky =", value, "sky");
            return (Criteria) this;
        }

        public Criteria andSkyNotEqualTo(String value) {
            addCriterion("sky <>", value, "sky");
            return (Criteria) this;
        }

        public Criteria andSkyGreaterThan(String value) {
            addCriterion("sky >", value, "sky");
            return (Criteria) this;
        }

        public Criteria andSkyGreaterThanOrEqualTo(String value) {
            addCriterion("sky >=", value, "sky");
            return (Criteria) this;
        }

        public Criteria andSkyLessThan(String value) {
            addCriterion("sky <", value, "sky");
            return (Criteria) this;
        }

        public Criteria andSkyLessThanOrEqualTo(String value) {
            addCriterion("sky <=", value, "sky");
            return (Criteria) this;
        }

        public Criteria andSkyLike(String value) {
            addCriterion("sky like", value, "sky");
            return (Criteria) this;
        }

        public Criteria andSkyNotLike(String value) {
            addCriterion("sky not like", value, "sky");
            return (Criteria) this;
        }

        public Criteria andSkyIn(List<String> values) {
            addCriterion("sky in", values, "sky");
            return (Criteria) this;
        }

        public Criteria andSkyNotIn(List<String> values) {
            addCriterion("sky not in", values, "sky");
            return (Criteria) this;
        }

        public Criteria andSkyBetween(String value1, String value2) {
            addCriterion("sky between", value1, value2, "sky");
            return (Criteria) this;
        }

        public Criteria andSkyNotBetween(String value1, String value2) {
            addCriterion("sky not between", value1, value2, "sky");
            return (Criteria) this;
        }

        public Criteria andFhrIsNull() {
            addCriterion("fhr is null");
            return (Criteria) this;
        }

        public Criteria andFhrIsNotNull() {
            addCriterion("fhr is not null");
            return (Criteria) this;
        }

        public Criteria andFhrEqualTo(String value) {
            addCriterion("fhr =", value, "fhr");
            return (Criteria) this;
        }

        public Criteria andFhrNotEqualTo(String value) {
            addCriterion("fhr <>", value, "fhr");
            return (Criteria) this;
        }

        public Criteria andFhrGreaterThan(String value) {
            addCriterion("fhr >", value, "fhr");
            return (Criteria) this;
        }

        public Criteria andFhrGreaterThanOrEqualTo(String value) {
            addCriterion("fhr >=", value, "fhr");
            return (Criteria) this;
        }

        public Criteria andFhrLessThan(String value) {
            addCriterion("fhr <", value, "fhr");
            return (Criteria) this;
        }

        public Criteria andFhrLessThanOrEqualTo(String value) {
            addCriterion("fhr <=", value, "fhr");
            return (Criteria) this;
        }

        public Criteria andFhrLike(String value) {
            addCriterion("fhr like", value, "fhr");
            return (Criteria) this;
        }

        public Criteria andFhrNotLike(String value) {
            addCriterion("fhr not like", value, "fhr");
            return (Criteria) this;
        }

        public Criteria andFhrIn(List<String> values) {
            addCriterion("fhr in", values, "fhr");
            return (Criteria) this;
        }

        public Criteria andFhrNotIn(List<String> values) {
            addCriterion("fhr not in", values, "fhr");
            return (Criteria) this;
        }

        public Criteria andFhrBetween(String value1, String value2) {
            addCriterion("fhr between", value1, value2, "fhr");
            return (Criteria) this;
        }

        public Criteria andFhrNotBetween(String value1, String value2) {
            addCriterion("fhr not between", value1, value2, "fhr");
            return (Criteria) this;
        }

        public Criteria andKplxIsNull() {
            addCriterion("kplx is null");
            return (Criteria) this;
        }

        public Criteria andKplxIsNotNull() {
            addCriterion("kplx is not null");
            return (Criteria) this;
        }

        public Criteria andKplxEqualTo(String value) {
            addCriterion("kplx =", value, "kplx");
            return (Criteria) this;
        }

        public Criteria andKplxNotEqualTo(String value) {
            addCriterion("kplx <>", value, "kplx");
            return (Criteria) this;
        }

        public Criteria andKplxGreaterThan(String value) {
            addCriterion("kplx >", value, "kplx");
            return (Criteria) this;
        }

        public Criteria andKplxGreaterThanOrEqualTo(String value) {
            addCriterion("kplx >=", value, "kplx");
            return (Criteria) this;
        }

        public Criteria andKplxLessThan(String value) {
            addCriterion("kplx <", value, "kplx");
            return (Criteria) this;
        }

        public Criteria andKplxLessThanOrEqualTo(String value) {
            addCriterion("kplx <=", value, "kplx");
            return (Criteria) this;
        }

        public Criteria andKplxLike(String value) {
            addCriterion("kplx like", value, "kplx");
            return (Criteria) this;
        }

        public Criteria andKplxNotLike(String value) {
            addCriterion("kplx not like", value, "kplx");
            return (Criteria) this;
        }

        public Criteria andKplxIn(List<String> values) {
            addCriterion("kplx in", values, "kplx");
            return (Criteria) this;
        }

        public Criteria andKplxNotIn(List<String> values) {
            addCriterion("kplx not in", values, "kplx");
            return (Criteria) this;
        }

        public Criteria andKplxBetween(String value1, String value2) {
            addCriterion("kplx between", value1, value2, "kplx");
            return (Criteria) this;
        }

        public Criteria andKplxNotBetween(String value1, String value2) {
            addCriterion("kplx not between", value1, value2, "kplx");
            return (Criteria) this;
        }

        public Criteria andYfpDmIsNull() {
            addCriterion("yfp_dm is null");
            return (Criteria) this;
        }

        public Criteria andYfpDmIsNotNull() {
            addCriterion("yfp_dm is not null");
            return (Criteria) this;
        }

        public Criteria andYfpDmEqualTo(String value) {
            addCriterion("yfp_dm =", value, "yfpDm");
            return (Criteria) this;
        }

        public Criteria andYfpDmNotEqualTo(String value) {
            addCriterion("yfp_dm <>", value, "yfpDm");
            return (Criteria) this;
        }

        public Criteria andYfpDmGreaterThan(String value) {
            addCriterion("yfp_dm >", value, "yfpDm");
            return (Criteria) this;
        }

        public Criteria andYfpDmGreaterThanOrEqualTo(String value) {
            addCriterion("yfp_dm >=", value, "yfpDm");
            return (Criteria) this;
        }

        public Criteria andYfpDmLessThan(String value) {
            addCriterion("yfp_dm <", value, "yfpDm");
            return (Criteria) this;
        }

        public Criteria andYfpDmLessThanOrEqualTo(String value) {
            addCriterion("yfp_dm <=", value, "yfpDm");
            return (Criteria) this;
        }

        public Criteria andYfpDmLike(String value) {
            addCriterion("yfp_dm like", value, "yfpDm");
            return (Criteria) this;
        }

        public Criteria andYfpDmNotLike(String value) {
            addCriterion("yfp_dm not like", value, "yfpDm");
            return (Criteria) this;
        }

        public Criteria andYfpDmIn(List<String> values) {
            addCriterion("yfp_dm in", values, "yfpDm");
            return (Criteria) this;
        }

        public Criteria andYfpDmNotIn(List<String> values) {
            addCriterion("yfp_dm not in", values, "yfpDm");
            return (Criteria) this;
        }

        public Criteria andYfpDmBetween(String value1, String value2) {
            addCriterion("yfp_dm between", value1, value2, "yfpDm");
            return (Criteria) this;
        }

        public Criteria andYfpDmNotBetween(String value1, String value2) {
            addCriterion("yfp_dm not between", value1, value2, "yfpDm");
            return (Criteria) this;
        }

        public Criteria andYfpHmIsNull() {
            addCriterion("yfp_hm is null");
            return (Criteria) this;
        }

        public Criteria andYfpHmIsNotNull() {
            addCriterion("yfp_hm is not null");
            return (Criteria) this;
        }

        public Criteria andYfpHmEqualTo(String value) {
            addCriterion("yfp_hm =", value, "yfpHm");
            return (Criteria) this;
        }

        public Criteria andYfpHmNotEqualTo(String value) {
            addCriterion("yfp_hm <>", value, "yfpHm");
            return (Criteria) this;
        }

        public Criteria andYfpHmGreaterThan(String value) {
            addCriterion("yfp_hm >", value, "yfpHm");
            return (Criteria) this;
        }

        public Criteria andYfpHmGreaterThanOrEqualTo(String value) {
            addCriterion("yfp_hm >=", value, "yfpHm");
            return (Criteria) this;
        }

        public Criteria andYfpHmLessThan(String value) {
            addCriterion("yfp_hm <", value, "yfpHm");
            return (Criteria) this;
        }

        public Criteria andYfpHmLessThanOrEqualTo(String value) {
            addCriterion("yfp_hm <=", value, "yfpHm");
            return (Criteria) this;
        }

        public Criteria andYfpHmLike(String value) {
            addCriterion("yfp_hm like", value, "yfpHm");
            return (Criteria) this;
        }

        public Criteria andYfpHmNotLike(String value) {
            addCriterion("yfp_hm not like", value, "yfpHm");
            return (Criteria) this;
        }

        public Criteria andYfpHmIn(List<String> values) {
            addCriterion("yfp_hm in", values, "yfpHm");
            return (Criteria) this;
        }

        public Criteria andYfpHmNotIn(List<String> values) {
            addCriterion("yfp_hm not in", values, "yfpHm");
            return (Criteria) this;
        }

        public Criteria andYfpHmBetween(String value1, String value2) {
            addCriterion("yfp_hm between", value1, value2, "yfpHm");
            return (Criteria) this;
        }

        public Criteria andYfpHmNotBetween(String value1, String value2) {
            addCriterion("yfp_hm not between", value1, value2, "yfpHm");
            return (Criteria) this;
        }

        public Criteria andQdBzIsNull() {
            addCriterion("qd_bz is null");
            return (Criteria) this;
        }

        public Criteria andQdBzIsNotNull() {
            addCriterion("qd_bz is not null");
            return (Criteria) this;
        }

        public Criteria andQdBzEqualTo(String value) {
            addCriterion("qd_bz =", value, "qdBz");
            return (Criteria) this;
        }

        public Criteria andQdBzNotEqualTo(String value) {
            addCriterion("qd_bz <>", value, "qdBz");
            return (Criteria) this;
        }

        public Criteria andQdBzGreaterThan(String value) {
            addCriterion("qd_bz >", value, "qdBz");
            return (Criteria) this;
        }

        public Criteria andQdBzGreaterThanOrEqualTo(String value) {
            addCriterion("qd_bz >=", value, "qdBz");
            return (Criteria) this;
        }

        public Criteria andQdBzLessThan(String value) {
            addCriterion("qd_bz <", value, "qdBz");
            return (Criteria) this;
        }

        public Criteria andQdBzLessThanOrEqualTo(String value) {
            addCriterion("qd_bz <=", value, "qdBz");
            return (Criteria) this;
        }

        public Criteria andQdBzLike(String value) {
            addCriterion("qd_bz like", value, "qdBz");
            return (Criteria) this;
        }

        public Criteria andQdBzNotLike(String value) {
            addCriterion("qd_bz not like", value, "qdBz");
            return (Criteria) this;
        }

        public Criteria andQdBzIn(List<String> values) {
            addCriterion("qd_bz in", values, "qdBz");
            return (Criteria) this;
        }

        public Criteria andQdBzNotIn(List<String> values) {
            addCriterion("qd_bz not in", values, "qdBz");
            return (Criteria) this;
        }

        public Criteria andQdBzBetween(String value1, String value2) {
            addCriterion("qd_bz between", value1, value2, "qdBz");
            return (Criteria) this;
        }

        public Criteria andQdBzNotBetween(String value1, String value2) {
            addCriterion("qd_bz not between", value1, value2, "qdBz");
            return (Criteria) this;
        }

        public Criteria andQdxmmcIsNull() {
            addCriterion("qdxmmc is null");
            return (Criteria) this;
        }

        public Criteria andQdxmmcIsNotNull() {
            addCriterion("qdxmmc is not null");
            return (Criteria) this;
        }

        public Criteria andQdxmmcEqualTo(String value) {
            addCriterion("qdxmmc =", value, "qdxmmc");
            return (Criteria) this;
        }

        public Criteria andQdxmmcNotEqualTo(String value) {
            addCriterion("qdxmmc <>", value, "qdxmmc");
            return (Criteria) this;
        }

        public Criteria andQdxmmcGreaterThan(String value) {
            addCriterion("qdxmmc >", value, "qdxmmc");
            return (Criteria) this;
        }

        public Criteria andQdxmmcGreaterThanOrEqualTo(String value) {
            addCriterion("qdxmmc >=", value, "qdxmmc");
            return (Criteria) this;
        }

        public Criteria andQdxmmcLessThan(String value) {
            addCriterion("qdxmmc <", value, "qdxmmc");
            return (Criteria) this;
        }

        public Criteria andQdxmmcLessThanOrEqualTo(String value) {
            addCriterion("qdxmmc <=", value, "qdxmmc");
            return (Criteria) this;
        }

        public Criteria andQdxmmcLike(String value) {
            addCriterion("qdxmmc like", value, "qdxmmc");
            return (Criteria) this;
        }

        public Criteria andQdxmmcNotLike(String value) {
            addCriterion("qdxmmc not like", value, "qdxmmc");
            return (Criteria) this;
        }

        public Criteria andQdxmmcIn(List<String> values) {
            addCriterion("qdxmmc in", values, "qdxmmc");
            return (Criteria) this;
        }

        public Criteria andQdxmmcNotIn(List<String> values) {
            addCriterion("qdxmmc not in", values, "qdxmmc");
            return (Criteria) this;
        }

        public Criteria andQdxmmcBetween(String value1, String value2) {
            addCriterion("qdxmmc between", value1, value2, "qdxmmc");
            return (Criteria) this;
        }

        public Criteria andQdxmmcNotBetween(String value1, String value2) {
            addCriterion("qdxmmc not between", value1, value2, "qdxmmc");
            return (Criteria) this;
        }

        public Criteria andKphjjeIsNull() {
            addCriterion("kphjje is null");
            return (Criteria) this;
        }

        public Criteria andKphjjeIsNotNull() {
            addCriterion("kphjje is not null");
            return (Criteria) this;
        }

        public Criteria andKphjjeEqualTo(BigDecimal value) {
            addCriterion("kphjje =", value, "kphjje");
            return (Criteria) this;
        }

        public Criteria andKphjjeNotEqualTo(BigDecimal value) {
            addCriterion("kphjje <>", value, "kphjje");
            return (Criteria) this;
        }

        public Criteria andKphjjeGreaterThan(BigDecimal value) {
            addCriterion("kphjje >", value, "kphjje");
            return (Criteria) this;
        }

        public Criteria andKphjjeGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("kphjje >=", value, "kphjje");
            return (Criteria) this;
        }

        public Criteria andKphjjeLessThan(BigDecimal value) {
            addCriterion("kphjje <", value, "kphjje");
            return (Criteria) this;
        }

        public Criteria andKphjjeLessThanOrEqualTo(BigDecimal value) {
            addCriterion("kphjje <=", value, "kphjje");
            return (Criteria) this;
        }

        public Criteria andKphjjeIn(List<BigDecimal> values) {
            addCriterion("kphjje in", values, "kphjje");
            return (Criteria) this;
        }

        public Criteria andKphjjeNotIn(List<BigDecimal> values) {
            addCriterion("kphjje not in", values, "kphjje");
            return (Criteria) this;
        }

        public Criteria andKphjjeBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("kphjje between", value1, value2, "kphjje");
            return (Criteria) this;
        }

        public Criteria andKphjjeNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("kphjje not between", value1, value2, "kphjje");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeIsNull() {
            addCriterion("hjbhsje is null");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeIsNotNull() {
            addCriterion("hjbhsje is not null");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeEqualTo(BigDecimal value) {
            addCriterion("hjbhsje =", value, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeNotEqualTo(BigDecimal value) {
            addCriterion("hjbhsje <>", value, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeGreaterThan(BigDecimal value) {
            addCriterion("hjbhsje >", value, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("hjbhsje >=", value, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeLessThan(BigDecimal value) {
            addCriterion("hjbhsje <", value, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeLessThanOrEqualTo(BigDecimal value) {
            addCriterion("hjbhsje <=", value, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeIn(List<BigDecimal> values) {
            addCriterion("hjbhsje in", values, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeNotIn(List<BigDecimal> values) {
            addCriterion("hjbhsje not in", values, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("hjbhsje between", value1, value2, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("hjbhsje not between", value1, value2, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjseIsNull() {
            addCriterion("hjse is null");
            return (Criteria) this;
        }

        public Criteria andHjseIsNotNull() {
            addCriterion("hjse is not null");
            return (Criteria) this;
        }

        public Criteria andHjseEqualTo(BigDecimal value) {
            addCriterion("hjse =", value, "hjse");
            return (Criteria) this;
        }

        public Criteria andHjseNotEqualTo(BigDecimal value) {
            addCriterion("hjse <>", value, "hjse");
            return (Criteria) this;
        }

        public Criteria andHjseGreaterThan(BigDecimal value) {
            addCriterion("hjse >", value, "hjse");
            return (Criteria) this;
        }

        public Criteria andHjseGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("hjse >=", value, "hjse");
            return (Criteria) this;
        }

        public Criteria andHjseLessThan(BigDecimal value) {
            addCriterion("hjse <", value, "hjse");
            return (Criteria) this;
        }

        public Criteria andHjseLessThanOrEqualTo(BigDecimal value) {
            addCriterion("hjse <=", value, "hjse");
            return (Criteria) this;
        }

        public Criteria andHjseIn(List<BigDecimal> values) {
            addCriterion("hjse in", values, "hjse");
            return (Criteria) this;
        }

        public Criteria andHjseNotIn(List<BigDecimal> values) {
            addCriterion("hjse not in", values, "hjse");
            return (Criteria) this;
        }

        public Criteria andHjseBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("hjse between", value1, value2, "hjse");
            return (Criteria) this;
        }

        public Criteria andHjseNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("hjse not between", value1, value2, "hjse");
            return (Criteria) this;
        }

        public Criteria andBzIsNull() {
            addCriterion("bz is null");
            return (Criteria) this;
        }

        public Criteria andBzIsNotNull() {
            addCriterion("bz is not null");
            return (Criteria) this;
        }

        public Criteria andBzEqualTo(String value) {
            addCriterion("bz =", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzNotEqualTo(String value) {
            addCriterion("bz <>", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzGreaterThan(String value) {
            addCriterion("bz >", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzGreaterThanOrEqualTo(String value) {
            addCriterion("bz >=", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzLessThan(String value) {
            addCriterion("bz <", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzLessThanOrEqualTo(String value) {
            addCriterion("bz <=", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzLike(String value) {
            addCriterion("bz like", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzNotLike(String value) {
            addCriterion("bz not like", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzIn(List<String> values) {
            addCriterion("bz in", values, "bz");
            return (Criteria) this;
        }

        public Criteria andBzNotIn(List<String> values) {
            addCriterion("bz not in", values, "bz");
            return (Criteria) this;
        }

        public Criteria andBzBetween(String value1, String value2) {
            addCriterion("bz between", value1, value2, "bz");
            return (Criteria) this;
        }

        public Criteria andBzNotBetween(String value1, String value2) {
            addCriterion("bz not between", value1, value2, "bz");
            return (Criteria) this;
        }

        public Criteria andReturnCodeIsNull() {
            addCriterion("return_code is null");
            return (Criteria) this;
        }

        public Criteria andReturnCodeIsNotNull() {
            addCriterion("return_code is not null");
            return (Criteria) this;
        }

        public Criteria andReturnCodeEqualTo(String value) {
            addCriterion("return_code =", value, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeNotEqualTo(String value) {
            addCriterion("return_code <>", value, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeGreaterThan(String value) {
            addCriterion("return_code >", value, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeGreaterThanOrEqualTo(String value) {
            addCriterion("return_code >=", value, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeLessThan(String value) {
            addCriterion("return_code <", value, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeLessThanOrEqualTo(String value) {
            addCriterion("return_code <=", value, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeLike(String value) {
            addCriterion("return_code like", value, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeNotLike(String value) {
            addCriterion("return_code not like", value, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeIn(List<String> values) {
            addCriterion("return_code in", values, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeNotIn(List<String> values) {
            addCriterion("return_code not in", values, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeBetween(String value1, String value2) {
            addCriterion("return_code between", value1, value2, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeNotBetween(String value1, String value2) {
            addCriterion("return_code not between", value1, value2, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnMsgIsNull() {
            addCriterion("return_msg is null");
            return (Criteria) this;
        }

        public Criteria andReturnMsgIsNotNull() {
            addCriterion("return_msg is not null");
            return (Criteria) this;
        }

        public Criteria andReturnMsgEqualTo(String value) {
            addCriterion("return_msg =", value, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgNotEqualTo(String value) {
            addCriterion("return_msg <>", value, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgGreaterThan(String value) {
            addCriterion("return_msg >", value, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgGreaterThanOrEqualTo(String value) {
            addCriterion("return_msg >=", value, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgLessThan(String value) {
            addCriterion("return_msg <", value, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgLessThanOrEqualTo(String value) {
            addCriterion("return_msg <=", value, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgLike(String value) {
            addCriterion("return_msg like", value, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgNotLike(String value) {
            addCriterion("return_msg not like", value, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgIn(List<String> values) {
            addCriterion("return_msg in", values, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgNotIn(List<String> values) {
            addCriterion("return_msg not in", values, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgBetween(String value1, String value2) {
            addCriterion("return_msg between", value1, value2, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgNotBetween(String value1, String value2) {
            addCriterion("return_msg not between", value1, value2, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(Long value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(Long value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(Long value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(Long value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<Long> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<Long> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(Long value1, Long value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameIsNull() {
            addCriterion("create_user_name is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameIsNotNull() {
            addCriterion("create_user_name is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameEqualTo(String value) {
            addCriterion("create_user_name =", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameNotEqualTo(String value) {
            addCriterion("create_user_name <>", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameGreaterThan(String value) {
            addCriterion("create_user_name >", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameGreaterThanOrEqualTo(String value) {
            addCriterion("create_user_name >=", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameLessThan(String value) {
            addCriterion("create_user_name <", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameLessThanOrEqualTo(String value) {
            addCriterion("create_user_name <=", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameLike(String value) {
            addCriterion("create_user_name like", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameNotLike(String value) {
            addCriterion("create_user_name not like", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameIn(List<String> values) {
            addCriterion("create_user_name in", values, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameNotIn(List<String> values) {
            addCriterion("create_user_name not in", values, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameBetween(String value1, String value2) {
            addCriterion("create_user_name between", value1, value2, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameNotBetween(String value1, String value2) {
            addCriterion("create_user_name not between", value1, value2, "createUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNull() {
            addCriterion("update_user_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNotNull() {
            addCriterion("update_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdEqualTo(Long value) {
            addCriterion("update_user_id =", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotEqualTo(Long value) {
            addCriterion("update_user_id <>", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThan(Long value) {
            addCriterion("update_user_id >", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("update_user_id >=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThan(Long value) {
            addCriterion("update_user_id <", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("update_user_id <=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIn(List<Long> values) {
            addCriterion("update_user_id in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotIn(List<Long> values) {
            addCriterion("update_user_id not in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdBetween(Long value1, Long value2) {
            addCriterion("update_user_id between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("update_user_id not between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameIsNull() {
            addCriterion("update_user_name is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameIsNotNull() {
            addCriterion("update_user_name is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameEqualTo(String value) {
            addCriterion("update_user_name =", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameNotEqualTo(String value) {
            addCriterion("update_user_name <>", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameGreaterThan(String value) {
            addCriterion("update_user_name >", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameGreaterThanOrEqualTo(String value) {
            addCriterion("update_user_name >=", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameLessThan(String value) {
            addCriterion("update_user_name <", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameLessThanOrEqualTo(String value) {
            addCriterion("update_user_name <=", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameLike(String value) {
            addCriterion("update_user_name like", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameNotLike(String value) {
            addCriterion("update_user_name not like", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameIn(List<String> values) {
            addCriterion("update_user_name in", values, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameNotIn(List<String> values) {
            addCriterion("update_user_name not in", values, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameBetween(String value1, String value2) {
            addCriterion("update_user_name between", value1, value2, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameNotBetween(String value1, String value2) {
            addCriterion("update_user_name not between", value1, value2, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andDeletedIsNull() {
            addCriterion("deleted is null");
            return (Criteria) this;
        }

        public Criteria andDeletedIsNotNull() {
            addCriterion("deleted is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedEqualTo(Integer value) {
            addCriterion("deleted =", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotEqualTo(Integer value) {
            addCriterion("deleted <>", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedGreaterThan(Integer value) {
            addCriterion("deleted >", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedGreaterThanOrEqualTo(Integer value) {
            addCriterion("deleted >=", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedLessThan(Integer value) {
            addCriterion("deleted <", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedLessThanOrEqualTo(Integer value) {
            addCriterion("deleted <=", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedIn(List<Integer> values) {
            addCriterion("deleted in", values, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotIn(List<Integer> values) {
            addCriterion("deleted not in", values, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedBetween(Integer value1, Integer value2) {
            addCriterion("deleted between", value1, value2, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotBetween(Integer value1, Integer value2) {
            addCriterion("deleted not between", value1, value2, "deleted");
            return (Criteria) this;
        }

        public Criteria andBatchIdIsNull() {
            addCriterion("batch_id is null");
            return (Criteria) this;
        }

        public Criteria andBatchIdIsNotNull() {
            addCriterion("batch_id is not null");
            return (Criteria) this;
        }

        public Criteria andBatchIdEqualTo(String value) {
            addCriterion("batch_id =", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdNotEqualTo(String value) {
            addCriterion("batch_id <>", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdGreaterThan(String value) {
            addCriterion("batch_id >", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdGreaterThanOrEqualTo(String value) {
            addCriterion("batch_id >=", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdLessThan(String value) {
            addCriterion("batch_id <", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdLessThanOrEqualTo(String value) {
            addCriterion("batch_id <=", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdLike(String value) {
            addCriterion("batch_id like", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdNotLike(String value) {
            addCriterion("batch_id not like", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdIn(List<String> values) {
            addCriterion("batch_id in", values, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdNotIn(List<String> values) {
            addCriterion("batch_id not in", values, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdBetween(String value1, String value2) {
            addCriterion("batch_id between", value1, value2, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdNotBetween(String value1, String value2) {
            addCriterion("batch_id not between", value1, value2, "batchId");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeIsNull() {
            addCriterion("invoice_type is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeIsNotNull() {
            addCriterion("invoice_type is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeEqualTo(Integer value) {
            addCriterion("invoice_type =", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeNotEqualTo(Integer value) {
            addCriterion("invoice_type <>", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeGreaterThan(Integer value) {
            addCriterion("invoice_type >", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("invoice_type >=", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeLessThan(Integer value) {
            addCriterion("invoice_type <", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeLessThanOrEqualTo(Integer value) {
            addCriterion("invoice_type <=", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeIn(List<Integer> values) {
            addCriterion("invoice_type in", values, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeNotIn(List<Integer> values) {
            addCriterion("invoice_type not in", values, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeBetween(Integer value1, Integer value2) {
            addCriterion("invoice_type between", value1, value2, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("invoice_type not between", value1, value2, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andRedReasonIsNull() {
            addCriterion("red_reason is null");
            return (Criteria) this;
        }

        public Criteria andRedReasonIsNotNull() {
            addCriterion("red_reason is not null");
            return (Criteria) this;
        }

        public Criteria andRedReasonEqualTo(Integer value) {
            addCriterion("red_reason =", value, "redReason");
            return (Criteria) this;
        }

        public Criteria andRedReasonNotEqualTo(Integer value) {
            addCriterion("red_reason <>", value, "redReason");
            return (Criteria) this;
        }

        public Criteria andRedReasonGreaterThan(Integer value) {
            addCriterion("red_reason >", value, "redReason");
            return (Criteria) this;
        }

        public Criteria andRedReasonGreaterThanOrEqualTo(Integer value) {
            addCriterion("red_reason >=", value, "redReason");
            return (Criteria) this;
        }

        public Criteria andRedReasonLessThan(Integer value) {
            addCriterion("red_reason <", value, "redReason");
            return (Criteria) this;
        }

        public Criteria andRedReasonLessThanOrEqualTo(Integer value) {
            addCriterion("red_reason <=", value, "redReason");
            return (Criteria) this;
        }

        public Criteria andRedReasonIn(List<Integer> values) {
            addCriterion("red_reason in", values, "redReason");
            return (Criteria) this;
        }

        public Criteria andRedReasonNotIn(List<Integer> values) {
            addCriterion("red_reason not in", values, "redReason");
            return (Criteria) this;
        }

        public Criteria andRedReasonBetween(Integer value1, Integer value2) {
            addCriterion("red_reason between", value1, value2, "redReason");
            return (Criteria) this;
        }

        public Criteria andRedReasonNotBetween(Integer value1, Integer value2) {
            addCriterion("red_reason not between", value1, value2, "redReason");
            return (Criteria) this;
        }

        public Criteria andBlueInvDateIsNull() {
            addCriterion("blue_inv_date is null");
            return (Criteria) this;
        }

        public Criteria andBlueInvDateIsNotNull() {
            addCriterion("blue_inv_date is not null");
            return (Criteria) this;
        }

        public Criteria andBlueInvDateEqualTo(String value) {
            addCriterion("blue_inv_date =", value, "blueInvDate");
            return (Criteria) this;
        }

        public Criteria andBlueInvDateNotEqualTo(String value) {
            addCriterion("blue_inv_date <>", value, "blueInvDate");
            return (Criteria) this;
        }

        public Criteria andBlueInvDateGreaterThan(String value) {
            addCriterion("blue_inv_date >", value, "blueInvDate");
            return (Criteria) this;
        }

        public Criteria andBlueInvDateGreaterThanOrEqualTo(String value) {
            addCriterion("blue_inv_date >=", value, "blueInvDate");
            return (Criteria) this;
        }

        public Criteria andBlueInvDateLessThan(String value) {
            addCriterion("blue_inv_date <", value, "blueInvDate");
            return (Criteria) this;
        }

        public Criteria andBlueInvDateLessThanOrEqualTo(String value) {
            addCriterion("blue_inv_date <=", value, "blueInvDate");
            return (Criteria) this;
        }

        public Criteria andBlueInvDateLike(String value) {
            addCriterion("blue_inv_date like", value, "blueInvDate");
            return (Criteria) this;
        }

        public Criteria andBlueInvDateNotLike(String value) {
            addCriterion("blue_inv_date not like", value, "blueInvDate");
            return (Criteria) this;
        }

        public Criteria andBlueInvDateIn(List<String> values) {
            addCriterion("blue_inv_date in", values, "blueInvDate");
            return (Criteria) this;
        }

        public Criteria andBlueInvDateNotIn(List<String> values) {
            addCriterion("blue_inv_date not in", values, "blueInvDate");
            return (Criteria) this;
        }

        public Criteria andBlueInvDateBetween(String value1, String value2) {
            addCriterion("blue_inv_date between", value1, value2, "blueInvDate");
            return (Criteria) this;
        }

        public Criteria andBlueInvDateNotBetween(String value1, String value2) {
            addCriterion("blue_inv_date not between", value1, value2, "blueInvDate");
            return (Criteria) this;
        }

        public Criteria andBlueInvKindIsNull() {
            addCriterion("blue_inv_kind is null");
            return (Criteria) this;
        }

        public Criteria andBlueInvKindIsNotNull() {
            addCriterion("blue_inv_kind is not null");
            return (Criteria) this;
        }

        public Criteria andBlueInvKindEqualTo(String value) {
            addCriterion("blue_inv_kind =", value, "blueInvKind");
            return (Criteria) this;
        }

        public Criteria andBlueInvKindNotEqualTo(String value) {
            addCriterion("blue_inv_kind <>", value, "blueInvKind");
            return (Criteria) this;
        }

        public Criteria andBlueInvKindGreaterThan(String value) {
            addCriterion("blue_inv_kind >", value, "blueInvKind");
            return (Criteria) this;
        }

        public Criteria andBlueInvKindGreaterThanOrEqualTo(String value) {
            addCriterion("blue_inv_kind >=", value, "blueInvKind");
            return (Criteria) this;
        }

        public Criteria andBlueInvKindLessThan(String value) {
            addCriterion("blue_inv_kind <", value, "blueInvKind");
            return (Criteria) this;
        }

        public Criteria andBlueInvKindLessThanOrEqualTo(String value) {
            addCriterion("blue_inv_kind <=", value, "blueInvKind");
            return (Criteria) this;
        }

        public Criteria andBlueInvKindLike(String value) {
            addCriterion("blue_inv_kind like", value, "blueInvKind");
            return (Criteria) this;
        }

        public Criteria andBlueInvKindNotLike(String value) {
            addCriterion("blue_inv_kind not like", value, "blueInvKind");
            return (Criteria) this;
        }

        public Criteria andBlueInvKindIn(List<String> values) {
            addCriterion("blue_inv_kind in", values, "blueInvKind");
            return (Criteria) this;
        }

        public Criteria andBlueInvKindNotIn(List<String> values) {
            addCriterion("blue_inv_kind not in", values, "blueInvKind");
            return (Criteria) this;
        }

        public Criteria andBlueInvKindBetween(String value1, String value2) {
            addCriterion("blue_inv_kind between", value1, value2, "blueInvKind");
            return (Criteria) this;
        }

        public Criteria andBlueInvKindNotBetween(String value1, String value2) {
            addCriterion("blue_inv_kind not between", value1, value2, "blueInvKind");
            return (Criteria) this;
        }

        public Criteria andInvReasonIsNull() {
            addCriterion("inv_reason is null");
            return (Criteria) this;
        }

        public Criteria andInvReasonIsNotNull() {
            addCriterion("inv_reason is not null");
            return (Criteria) this;
        }

        public Criteria andInvReasonEqualTo(Integer value) {
            addCriterion("inv_reason =", value, "invReason");
            return (Criteria) this;
        }

        public Criteria andInvReasonNotEqualTo(Integer value) {
            addCriterion("inv_reason <>", value, "invReason");
            return (Criteria) this;
        }

        public Criteria andInvReasonGreaterThan(Integer value) {
            addCriterion("inv_reason >", value, "invReason");
            return (Criteria) this;
        }

        public Criteria andInvReasonGreaterThanOrEqualTo(Integer value) {
            addCriterion("inv_reason >=", value, "invReason");
            return (Criteria) this;
        }

        public Criteria andInvReasonLessThan(Integer value) {
            addCriterion("inv_reason <", value, "invReason");
            return (Criteria) this;
        }

        public Criteria andInvReasonLessThanOrEqualTo(Integer value) {
            addCriterion("inv_reason <=", value, "invReason");
            return (Criteria) this;
        }

        public Criteria andInvReasonIn(List<Integer> values) {
            addCriterion("inv_reason in", values, "invReason");
            return (Criteria) this;
        }

        public Criteria andInvReasonNotIn(List<Integer> values) {
            addCriterion("inv_reason not in", values, "invReason");
            return (Criteria) this;
        }

        public Criteria andInvReasonBetween(Integer value1, Integer value2) {
            addCriterion("inv_reason between", value1, value2, "invReason");
            return (Criteria) this;
        }

        public Criteria andInvReasonNotBetween(Integer value1, Integer value2) {
            addCriterion("inv_reason not between", value1, value2, "invReason");
            return (Criteria) this;
        }
    }

    /**
    szhtxx_electronic_invoice_fptxx
     *
     * @mbg.generated do_not_delete_during_merge Wed Mar 23 12:02:59 CST 2022
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
    szhtxx_electronic_invoice_fptxx
     *
     * @mbg.generated Wed Mar 23 12:02:59 CST 2022
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}